Get participants
curl --request GET \
--url https://{host}/api/{session}/groups/{id}/participants \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/groups/{id}/participants"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/groups/{id}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"participants": [
{
"id": "5511999999999@s.whatsapp.net",
"isAdmin": true,
"isSuperAdmin": true
},
{
"id": "5511888888888@s.whatsapp.net",
"isAdmin": false,
"isSuperAdmin": false
}
]
}
Groups
Get Participants
Get list of participants of the group
GET
/
api
/
{session}
/
groups
/
{id}
/
participants
Get participants
Description
This endpoint returns a list of all participants of a specific group.URL Parameters
WhatsApp unique session ID
ID of the group in format
120363XXXXX@g.usResponse
Array with the participants of the group
{
"participants": [
{
"id": "5511999999999@s.whatsapp.net",
"isAdmin": true,
"isSuperAdmin": true
},
{
"id": "5511888888888@s.whatsapp.net",
"isAdmin": false,
"isSuperAdmin": false
}
]
}
Status Codes
200- Participants returned successfully400- Invalid parameters401- Unauthorized404- Group not found
Usage Example
curl -X GET https://api.wappfy.com.br/api/my-session/groups/120363XXXXX@g.us/participants
const session = 'my-session';
const groupId = '120363XXXXX@g.us';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/groups/${groupId}/participants`);
const data = await response.json();
console.log(data.participants);
import requests
session = 'my-session'
group_id = '120363XXXXX@g.us'
response = requests.get(f'https://api.wappfy.com.br/api/{session}/groups/{group_id}/participants')
data = response.json()
print(data['participants'])
⌘I
